forward-socks4a / localhost:9050 .
#        Sample Configuration File for Privoxy v3.0.6
#
#  $Id: config,v 1.56 2006/11/14 01:54:36 hal9 Exp $
#
#  Copyright (C) 2001-2006 Privoxy Developers http://privoxy.org
#
####################################################################
#                                                                  #
#                      Table of Contents                           #
#                                                                  #
#        I. INTRODUCTION                                           #
#       II. FORMAT OF THE CONFIGURATION FILE                       #
#                                                                  #
#        1. LOCAL SET-UP DOCUMENTATION                             #
#        2. CONFIGURATION AND LOG FILE LOCATIONS                   #
#        3. DEBUGGING                                              #
#        4. ACCESS CONTROL AND SECURITY                            #
#        5. FORWARDING                                             #
#        6. WINDOWS GUI OPTIONS                                    #
#                                                                  #
####################################################################
#
#
#  I. INTRODUCTION
#   ===============
#
#  This file holds the Privoxy configuration. If you modify this file,
#  you will need to send a couple of requests (of any kind) to the
#  proxy before any changes take effect.
#
#  When starting Privoxy on Unix systems, give the name of this file as
#  an argument. On Windows systems, Privoxy will look for this file
#  with the name 'config.txt' in the same directory where Privoxy
#  is installed.
#
#
#  II. FORMAT OF THE CONFIGURATION FILE
#  ====================================
#
#  Configuration lines consist of an initial keyword followed by a
#  list of values, all separated by whitespace (any number of spaces
#  or tabs). For example,
#
#  actionsfile default.action
#
#  Indicates that the actionsfile is named 'default.action'.
#
#  The '#' indicates a comment. Any part of a line following a '#'
#  is ignored, except if the '#' is preceded by a '\'.
#
#  Thus, by placing a # at the start of an existing configuration line,
#  you can make it a comment and it will be treated as if it weren't
#  there. This is called "commenting out" an option and can be useful.
#
#  Note that commenting out and option and leaving it at its default
#  are two completely different things! Most options behave very
#  differently when unset.  See the the "Effect if unset" explanation
#  in each option's description for details.
#
#  Long lines can be continued on the next line by using a `\' as the
#  last character.
#

#
#  1. LOCAL SET-UP DOCUMENTATION
#  =============================
#
#  If you intend to operate Privoxy for more users than just yourself,
#  it might be a good idea to let them know how to reach you, what
#  you block and why you do that, your policies, etc.
#

#
#  1.1. user-manual
#  ================
#
#  Specifies:
#
#      Location of the Privoxy User Manual.
#
#  Type of value:
#
#      A fully qualified URI
#
#  Default value:
#
#      Unset
#
#  Effect if unset:
#
#      http://www.privoxy.org/version/user-manual/ will be used,
#      where version is the Privoxy version.
#
#  Notes:
#
#      The User Manual URI is the single best source of information on
#      Privoxy, and is used for help links from some of the internal
#      CGI pages. The manual itself is normally packaged with the
#      binary distributions, so you probably want to set this to
#      a locally installed copy. For multi-user setups, you could
#      provide a copy on a local webserver for all your users and use
#      the corresponding URL here.
#
#      Examples:
#
#      The best all purpose solution is simply to put the full local
#      PATH to where the User Manual is located:
#
#        user-manual  /usr/share/doc/privoxy/user-manual
#
#      The User Manual is then available to anyone with
#      access to the proxy, by following the built-in URL:
#      http://config.privoxy.org/user-manual/ (or the shortcut:
#      http://p.p/user-manual/).
#
#      If the documentation is not on the local system, it can be
#      accessed from a remote server, as:
#
#        user-manual  http://example.com/privoxy/user-manual/
#
#      WARNING!!!
#
#          If set, this option should be the first option in the config
#          file, because it is used while the config file is being read.
#
#user-manual http://www.privoxy.org/user-manual/

#
#  1.2. trust-info-url
#  ===================
#
#  Specifies:
#
#      A URL to be displayed in the error page that users will see if
#      access to an untrusted page is denied.
#
#  Type of value:
#
#      URL
#
#  Default value:
#
#      Two example URL are provided
#
#  Effect if unset:
#
#      No links are displayed on the "untrusted" error page.
#
#  Notes:
#
#      The value of this option only matters if the experimental trust
#      mechanism has been activated. (See trustfile above.)
#
#      If you use the trust mechanism, it is a good idea to write
#      up some on-line documentation about your trust policy and to
#      specify the URL(s) here. Use multiple times for multiple URLs.
#
#      The URL(s) should be added to the trustfile as well, so users
#      don't end up locked out from the information on why they were
#      locked out in the first place!
#
trust-info-url  http://www.example.com/why_we_block.html
trust-info-url  http://www.example.com/what_we_allow.html

#
#  1.3. admin-address
#  ==================
#
#  Specifies:
#
#      An email address to reach the proxy administrator.
#
#  Type of value:
#
#      Email address
#
#  Default value:
#
#      Unset
#
#  Effect if unset:
#
#      No email address is displayed on error pages and the CGI user
#      interface.
#
#  Notes:
#
#      If both admin-address and proxy-info-url are unset, the whole
#      "Local Privoxy Support" box on all generated pages will not
#      be shown.
#
#admin-address privoxy-admin@example.com

#
#  1.4. proxy-info-url
#  ===================
#
#  Specifies:
#
#      A URL to documentation about the local Privoxy setup,
#      configuration or policies.
#
#  Type of value:
#
#      URL
#
#  Default value:
#
#      Unset
#
#  Effect if unset:
#
#      No link to local documentation is displayed on error pages and
#      the CGI user interface.
#
#  Notes:
#
#      If both admin-address and proxy-info-url are unset, the whole
#      "Local Privoxy Support" box on all generated pages will not
#      be shown.
#
#      This URL shouldn't be blocked ;-)
#
#proxy-info-url http://www.example.com/proxy-service.html

#
#  2. CONFIGURATION AND LOG FILE LOCATIONS
#  =======================================
#
#  Privoxy can (and normally does) use a number of other files for
#  additional configuration, help and logging. This section of the
#  configuration file tells Privoxy where to find those other files.
#
#  The user running Privoxy, must have read permission for all
#  configuration files, and write permission to any files that would
#  be modified, such as log files and actions files.
#

#
#  2.1. confdir
#  ============
#
#  Specifies:
#
#      The directory where the other configuration files are located
#
#  Type of value:
#
#      Path name
#
#  Default value:
#
#      /etc/privoxy (Unix) or Privoxy installation dir (Windows)
#
#  Effect if unset:
#
#      Mandatory
#
#  Notes:
#
#      No trailing "/", please
#
#      When development goes modular and multi-user, the blocker,
#      filter, and per-user config will be stored in subdirectories of
#      "confdir". For now, the configuration directory structure is
#      flat, except for confdir/templates, where the HTML templates
#      for CGI output reside (e.g. Privoxy's 404 error page).
#
confdir .

#
#  2.2. logdir
#  ===========
#
#  Specifies:
#
#      The directory where all logging takes place (i.e. where logfile
#      and jarfile are located)
#
#  Type of value:
#
#      Path name
#
#  Default value:
#
#      /var/log/privoxy (Unix) or Privoxy installation dir (Windows)
#
#  Effect if unset:
#
#      Mandatory
#
#  Notes:
#
#      No trailing "/", please
#
logdir .

#
#  2.3. actionsfile
#  ================
#
#  Specifies:
#
#      The actions file(s) to use
#
#  Type of value:
#
#      File name, relative to confdir, without the .action suffix
#
#  Default values:
#
#        standard     # Internal purposes, no editing recommended
#
#        default      # Main actions file
#
#        user         # User customizations
#
#  Effect if unset:
#
#      No actions are taken at all. Simple neutral proxying.
#
#  Notes:
#
#      Multiple actionsfile lines are permitted, and are in fact
#      recommended!
#
#      The default values include standard.action, which is used
#      for internal purposes and should be loaded, default.action,
#      which is the "main" actions file maintained by the developers,
#      and user.action, where you can make your personal additions.
#
#      Actions files are where all the per site and per URL
#      configuration is done for ad blocking, cookie management,
#      privacy considerations, etc. There is no point in using Privoxy
#      without at least one actions file.
#
actionsfile standard  # Internal purpose, recommended
actionsfile default   # Main actions file
actionsfile user      # User customizations

#
#  2.4. filterfile
#  ===============
#
#  Specifies:
#
#      The filter file(s) to use
#
#  Type of value:
#
#      File name, relative to confdir
#
#  Default value:
#
#      default.filter (Unix) or default.filter.txt (Windows)
#
#  Effect if unset:
#
#      No textual content filtering takes place, i.e. all +filter{name}
#      actions in the actions files are turned neutral.
#
#  Notes:
#
#      Multiple filterfile lines are permitted.
#
#      The filter files contain content modification rules that use
#      regular expressions. These rules permit powerful changes on
#      the content of Web pages, and optionally the headers as well,
#      e.g., you could disable your favorite JavaScript annoyances,
#      re-write the actual displayed text, or just have some fun
#      playing buzzword bingo with web pages.
#
#      The +filter{name} actions rely on the relevant filter (name)
#      to be defined in a filter file!
#
#      A pre-defined filter file called default.filter that contains a
#      number of useful filters for common problems is included in the
#      distribution. See the section on the filter action for a list.
#
#      It is recommended to place any locally adapted filters into a
#      separate file, such as user.filter.
#
filterfile default.filter
#filterfile user.filter      # User customizations

#
#  2.5. logfile
#  ============
#
#  Specifies:
#
#      The log file to use
#
#  Type of value:
#
#      File name, relative to logdir
#
#  Default value:
#
#      logfile (Unix) or privoxy.log (Windows)
#
#  Effect if unset:
#
#      No log file is used, all log messages go to the console (STDERR).
#
#  Notes:
#
#      The logfile is where all logging and error messages are
#      written. The level of detail and number of messages are set with
#      the debug option (see below).  The logfile can be useful for
#      tracking down a problem with Privoxy (e.g., it's not blocking
#      an ad you think it should block) but in most cases you probably
#      will never look at it.
#
#      Your logfile will grow indefinitely, and you will probably
#      want to periodically remove it. On Unix systems, you can do
#      this with a cron job (see "man cron"). For Red Hat, a logrotate
#      script has been included.
#
#      On SuSE Linux systems, you can place a line like
#      "/var/log/privoxy.* +1024k 644 nobody.nogroup" in /etc/logfiles,
#      with the effect that cron.daily will automatically archive,
#      gzip, and empty the log, when it exceeds 1M size.
#
#      Any log files must be writable by whatever user Privoxy is
#      being run as (default on UNIX, user id is "privoxy").
#
# logfile privoxy.log

#
#  2.6. jarfile
#  ============
#
#  Specifies:
#
#      The file to store intercepted cookies in
#
#  Type of value:
#
#      File name, relative to logdir
#
#  Default value:
#
#      Unset (commented out). When activated: jarfile (Unix) or
#      privoxy.jar (Windows)
#
#  Effect if unset:
#
#      Intercepted cookies are not stored in a dedicated log file.
#
#  Notes:
#
#      The jarfile may grow to ridiculous sizes over time.
#
#      If debug 8 (show header parsing) is enabled, cookies are written
#      to the logfile with the rest of the headers.
#
# jarfile jar.log

#
#  2.7. trustfile
#  ==============
#
#  Specifies:
#
#      The trust file to use
#
#  Type of value:
#
#      File name, relative to confdir
#
#  Default value:
#
#      Unset (commented out). When activated: trust (Unix) or trust.txt
#      (Windows)
#
#  Effect if unset:
#
#      The entire trust mechanism is turned off.
#
#  Notes:
#
#      The trust mechanism is an experimental feature for building
#      white-lists and should be used with care. It is NOT recommended
#      for the casual user.
#
#      If you specify a trust file, Privoxy will only allow access to
#      sites that are specified in the trustfile. Sites can be listed
#      in one of two ways:
#
#      Prepending a ~ character limits access to this site only (and
#      any sub-paths within this site), e.g. ~www.example.com.
#
#      Or, you can designate sites as trusted referrers, by prepending
#      the name with a + character. The effect is that access to
#      untrusted sites will be granted -- but only if a link from this
#      trusted referrer was used. The link target will then be added
#      to the "trustfile" so that future, direct accesses will be
#      granted. Sites added via this mechanism do not become trusted
#      referrers themselves (i.e. they are added with a ~ designation).
#
#      If you use the + operator in the trust file, it may grow
#      considerably over time.
#
#      It is recommended that Privoxy be compiled with the
#      --disable-force, --disable-toggle and --disable-editor options,
#      if this feature is to be used.
#
#      Possible applications include limiting Internet access for
#      children.
#
#trustfile trust

#
#  3. DEBUGGING
#  ============
#
#  These options are mainly useful when tracing a problem. Note that
#  you might also want to invoke Privoxy with the --no-daemon command
#  line option when debugging.
#

#
#  3.1. debug
#  ==========
#
#  Specifies:
#
#      Key values that determine what information gets logged to
#      the logfile.
#
#  Type of value:
#
#      Integer values
#
#  Default value:
#
#      12289 (i.e.: URLs plus informational and warning messages)
#
#  Effect if unset:
#
#      Nothing gets logged.
#
#  Notes:
#
#      The available debug levels are:
#  
#          debug         1 # show each GET/POST/CONNECT request 
#          debug         2 # show each connection status 
#          debug         4 # show I/O status 
#          debug         8 # show header parsing 
#          debug        16 # log all data into the logfile 
#          debug        32 # debug force feature 
#          debug        64 # debug regular expression filter
#          debug       128 # debug fast redirects 
#          debug       256 # debug GIF de-animation 
#          debug       512 # Common Log Format
#          debug      1024 # debug kill pop-ups 
#          debug      2048 # CGI user interface 
#          debug      4096 # Startup banner and warnings.
#          debug      8192 # Non-fatal errors
#
#      To select multiple debug levels, you can either add them or
#      use multiple debug lines.
#
#      A debug level of 1 is informative because it will show you each
#      request as it happens. 1, 4096 and 8192 are highly recommended
#      so that you will notice when things go wrong. The other levels
#      are probably only of interest if you are hunting down a specific
#      problem. They can produce a hell of an output (especially 16).
#
#      The reporting of fatal errors (i.e. ones which crash Privoxy)
#      is always on and cannot be disabled.
#
#      If you want to use CLF (Common Log Format), you should set
#      "debug 512" ONLY and not enable anything else.
#
debug   1    # show each GET/POST/CONNECT request
debug   4096 # Startup banner and warnings
debug   8192 # Errors - *we highly recommended enabling this*

#
#  3.2. single-threaded
#  ====================
#
#  Specifies:
#
#      Whether to run only one server thread
#
#  Type of value:
#
#      None
#
#  Default value:
#
#      Unset
#
#  Effect if unset:
#
#      Multi-threaded (or, where unavailable: forked) operation,
#      i.e. the ability to serve multiple requests simultaneously.
#
#  Notes:
#
#      This option is only there for debug purposes and you should
#      never need to use it. It will drastically reduce performance.
#
#single-threaded

#
#  4. ACCESS CONTROL AND SECURITY
#  ==============================
#
#  This section of the config file controls the security-relevant
#  aspects of Privoxy's configuration.
#

#
#  4.1. listen-address
#  ===================
#
#  Specifies:
#
#      The IP address and TCP port on which Privoxy will listen for
#      client requests.
#
#  Type of value:
#
#      [IP-Address]:Port
#
#  Default value:
#
#      127.0.0.1:8118
#
#  Effect if unset:
#
#      Bind to 127.0.0.1 (localhost), port 8118. This is suitable and
#      recommended for home users who run Privoxy on the same machine
#      as their browser.
#
#  Notes:
#
#      You will need to configure your browser(s) to this proxy address
#      and port.
#
#      If you already have another service running on port 8118, or
#      if you want to serve requests from other machines (e.g. on your
#      local network) as well, you will need to override the default.
#
#      If you leave out the IP address, Privoxy will bind to all
#      interfaces (addresses) on your machine and may become reachable
#      from the Internet. In that case, consider using access control
#      lists (ACL's, see below), and/or a firewall.
#
#      If you open Privoxy to untrusted users, you will also want
#      to turn off the enable-edit-actions and enable-remote-toggle
#      options!
#
#  Example:
#
#      Suppose you are running Privoxy on a machine which has the
#      address 192.168.0.1 on your local private network (192.168.0.0)
#      and has another outside connection with a different address. You
#      want it to serve requests from inside only:
#
#        listen-address  192.168.0.1:8118
#
listen-address  127.0.0.1:8118

#
#  4.2. toggle
#  ===========
#
#  Specifies:
#
#      Initial state of "toggle" status
#
#  Type of value:
#
#      1 or 0
#
#  Default value:
#
#      1
#
#  Effect if unset:
#
#      Act as if toggled on
#
#  Notes:
#
#      If set to 0, Privoxy will start in "toggled off" mode,
#      i.e. behave like a normal, content-neutral proxy where all ad
#      blocking, filtering, etc are disabled. See enable-remote-toggle
#      below. This is not really useful anymore, since toggling is
#      much easier via the web interface than via editing the conf file.
#
#      The windows version will only display the toggle icon in the
#      system tray if this option is present.
#
toggle  1

#
#  4.3. enable-remote-toggle
#  =========================
#
#  Specifies:
#
#      Whether or not the web-based toggle feature may be used
#
#  Type of value:
#
#      0 or 1
#
#  Default value:
#
#      1
#
#  Effect if unset:
#
#      The web-based toggle feature is disabled.
#
#  Notes:
#
#      When toggled off, Privoxy acts like a normal, content-neutral
#      proxy, i.e.  it acts as if none of the actions applied to
#      any URL.
#
#      For the time being, access to the toggle feature can not be
#      controlled separately by "ACLs" or HTTP authentication, so that
#      everybody who can access Privoxy (see "ACLs" and listen-address
#      above) can toggle it for all users. So this option is not
#      recommended for multi-user environments with untrusted users.
#
#      Note that you must have compiled Privoxy with support for this
#      feature, otherwise this option has no effect.
#
enable-remote-toggle  0

#
#  4.4. enable-remote-http-toggle
#  ==============================
#
#  Specifies:
#
#      Whether or not Privoxy recognizes special HTTP headers to change
#      its behaviour.
#
#  Type of value:
#
#      0 or 1
#
#  Default value:
#
#      1
#
#  Effect if unset:
#
#      Privoxy ignores special HTTP headers.
#
#  Notes:
#
#      When toggled on, the client can change Privoxy's behaviour by
#      setting special HTTP headers. Currently the only supported
#      special header is "X-Filter: No", to disable filtering for
#      the ongoing request, even if it is enabled in one of the
#      action files.
#
#      If you are using Privoxy in a multi-user environment or with
#      untrustworthy clients and want to enforce filtering, you will
#      have to disable this option, otherwise you can ignore it.
#
enable-remote-http-toggle  0

#
#  4.5. enable-edit-actions
#  ========================
#
#  Specifies:
#
#      Whether or not the web-based actions file editor may be used
#
#  Type of value:
#
#      0 or 1
#
#  Default value:
#
#      1
#
#  Effect if unset:
#
#      The web-based actions file editor is disabled.
#
#  Notes:
#
#      For the time being, access to the editor can not be controlled
#      separately by "ACLs" or HTTP authentication, so that everybody
#      who can access Privoxy (see "ACLs" and listen-address above)
#      can modify its configuration for all users. So this option is
#      not recommended for multi-user environments with untrusted users.
#
#      Note that you must have compiled Privoxy with support for this
#      feature, otherwise this option has no effect.
#
enable-edit-actions 0

#
#  4.6. ACLs: permit-access and deny-access
#  ========================================
#
#  Specifies:
#
#      Who can access what.
#
#  Type of value:
#
#      src_addr[/src_masklen] [dst_addr[/dst_masklen]]
#
#      Where src_addr and dst_addr are IP addresses in dotted decimal
#      notation or valid DNS names, and src_masklen and dst_masklen are
#      subnet masks in CIDR notation, i.e. integer values from 2 to 30
#      representing the length (in bits) of the network address. The
#      masks and the whole destination part are optional.
#
#  Default value:
#
#      Unset
#
#  Effect if unset:
#
#      Don't restrict access further than implied by listen-address
#
#  Notes:
#
#      Access controls are included at the request of ISPs and systems
#      administrators, and are not usually needed by individual
#      users. For a typical home user, it will normally suffice to
#      ensure that Privoxy only listens on the localhost (127.0.0.1)
#      or internal (home) network address by means of the listen-address
#      option.
#
#      Please see the warnings in the FAQ that this proxy is not
#      intended to be a substitute for a firewall or to encourage
#      anyone to defer addressing basic security weaknesses.
#
#      Multiple ACL lines are OK. If any ACLs are specified, then
#      the Privoxy talks only to IP addresses that match at least one
#      permit-access line and don't match any subsequent deny-access
#      line. In other words, the last match wins, with the default
#      being deny-access.
#
#      If Privoxy is using a forwarder (see forward below) for a
#      particular destination URL, the dst_addr that is examined is
#      the address of the forwarder and NOT the address of the ultimate
#      target. This is necessary because it may be impossible for the
#      local Privoxy to determine the IP address of the ultimate target
#      (that's often what gateways are used for).
#
#      You should prefer using IP addresses over DNS names, because
#      the address lookups take time. All DNS names must resolve! You
#      can not use domain patterns like "*.org" or partial domain
#      names. If a DNS name resolves to multiple IP addresses, only
#      the first one is used.
#
#      Denying access to particular sites by ACL may have undesired
#      side effects if the site in question is hosted on a machine
#      which also hosts other sites.
#
#  Examples:
#
#      Explicitly define the default behavior if no ACL and
#      listen-address are set: "localhost" is OK. The absence of a
#      dst_addr implies that all destination addresses are OK:
#
#        permit-access  localhost
#
#      Allow any host on the same class C subnet as www.privoxy.org
#      access to nothing but www.example.com:
#
#        permit-access  www.privoxy.org/24   www.example.com/32
#
#      Allow access from any host on the 26-bit subnet 192.168.45.64
#      to anywhere, with the exception that 192.168.45.73 may not
#      access www.dirty-stuff.example.com:
#
#        permit-access  192.168.45.64/26 
#        deny-access    192.168.45.73     www.dirty-stuff.example.com
#

#
#  4.7. buffer-limit
#  =================
#
#  Specifies:
#
#      Maximum size of the buffer for content filtering.
#
#  Type of value:
#
#      Size in Kbytes
#
#  Default value:
#
#      4096
#
#  Effect if unset:
#
#      Use a 4MB (4096 KB) limit.
#
#  Notes:
#
#      For content filtering, i.e. the +filter and +deanimate-gif
#      actions, it is necessary that Privoxy buffers the entire document
#      body. This can be potentially dangerous, since a server could
#      just keep sending data indefinitely and wait for your RAM to
#      exhaust -- with nasty consequences.  Hence this option.
#
#      When a document buffer size reaches the buffer-limit, it is
#      flushed to the client unfiltered and no further attempt to filter
#      the rest of the document is made. Remember that there may be
#      multiple threads running, which might require up to buffer-limit
#      Kbytes each, unless you have enabled "single-threaded" above.
#
buffer-limit 4096

#
#  5. FORWARDING
#  =============
#
#  This feature allows routing of HTTP requests through a chain
#  of multiple proxies. It can be used to better protect privacy
#  and confidentiality when accessing specific domains by routing
#  requests to those domains through an anonymous public proxy.
#  Or to use a caching proxy to speed up browsing. Or chaining to 
#  a parent proxy may be necessary because the machine that Privoxy 
#  runs on has no direct Internet access.
#
#  Also specified here are SOCKS proxies. Privoxy supports the SOCKS
#  4 and SOCKS 4A protocols.
#

#
#  5.1. forward
#  ============
#
#  Specifies:
#
#      To which parent HTTP proxy specific requests should be routed.
#
#  Type of value:
#
#      target_pattern http_parent[:port]
#
#      where target_pattern is a URL pattern that specifies to which
#      requests (i.e. URLs) this forward rule shall apply. Use /
#      to denote "all URLs".  http_parent[:port] is the DNS name or
#      IP address of the parent HTTP proxy through which the requests
#      should be forwarded, optionally followed by its listening port
#      (default: 8080). Use a single dot (.) to denote "no forwarding".
#
#  Default value:
#
#      Unset
#
#  Effect if unset:
#
#      Don't use parent HTTP proxies.
#
#  Notes:
#
#      If http_parent is ".", then requests are not forwarded to
#      another HTTP proxy but are made directly to the web servers.
#
#      Multiple lines are OK, they are checked in sequence, and the
#      last match wins.
#
#  Examples:
#
#      Everything goes to an example anonymizing proxy, except SSL on
#      port 443 (which it doesn't handle):
#
#        forward   /      anon-proxy.example.org:8080 
#        forward   :443   .
#
#      Everything goes to our example ISP's caching proxy, except for
#      requests to that ISP's sites:
#
#        forward   /                  caching-proxy.example-isp.net:8000
#        forward   .example-isp.net   .
#

#
#  5.2. forward-socks4 and forward-socks4a
#  =======================================
#
#  Specifies:
#
#      Through which SOCKS proxy (and to which parent HTTP proxy)
#      specific requests should be routed.
#
#  Type of value:
#
#      target_pattern socks_proxy[:port] http_parent[:port]
#
#      where target_pattern is a URL pattern that specifies to which
#      requests (i.e. URLs) this forward rule shall apply. Use / to
#      denote "all URLs".  http_parent and socks_proxy are IP addresses
#      in dotted decimal notation or valid DNS names (http_parent may
#      be "." to denote "no HTTP forwarding"), and the optional port
#      parameters are TCP ports, i.e. integer values from 1 to 64535
#
#  Default value:
#
#      Unset
#
#  Effect if unset:
#
#      Don't use SOCKS proxies.
#
#  Notes:
#
#      Multiple lines are OK, they are checked in sequence, and the
#      last match wins.
#
#      The difference between forward-socks4 and forward-socks4a
#      is that in the SOCKS 4A protocol, the DNS resolution of the
#      target hostname happens on the SOCKS server, while in SOCKS 4
#      it happens locally.
#
#      If http_parent is ".", then requests are not forwarded to another
#      HTTP proxy but are made (HTTP-wise) directly to the web servers,
#      albeit through a SOCKS proxy.
#
#  Examples:
#
#      From the company example.com, direct connections are made to all
#      "internal" domains, but everything outbound goes through their
#      ISP's proxy by way of example.com's corporate SOCKS 4A gateway
#      to the Internet.
#
#        forward-socks4a   /              socks-gw.example.com:1080   www-cache.example-isp.net:8080 
#        forward           .example.com   .
#  
#      A rule that uses a SOCKS 4 gateway for all destinations but no
#      HTTP parent looks like this:
#  
#        forward-socks4   /               socks-gw.example.com:1080  .
#
#      To chain Privoxy and Tor, both running on the same system,
#      you should use the rule:
#  
#        forward-socks4a             /     127.0.0.1:9050 .
#
#      The public Tor network can't be used to reach your local network,
#      therefore it's a good idea to make some exceptions:
#
#        forward         192.168.*.*/     .
#        forward            10.*.*.*/     .
#        forward           127.*.*.*/     .
#
#      Unencrypted connections to systems in these address ranges will
#      be as (un)secure as the local network is, but the alternative is
#      that you can't reach the network at all.
#
#      If you also want to be able to reach servers in your local
#      network by using their names, you will need additional
#      exceptions that look like this:
#
#        forward           localhost/     .
#

#
#  5.3. forwarded-connect-retries
#  ==============================
#
#  Specifies:
#
#      How often Privoxy retries if a forwarded connection request
#      fails.
#
#  Type of value:
#
#      Number of retries.
#
#  Default value:
#
#      0
#
#  Effect if unset:
#
#      Forwarded connections are treated like direct connections and
#      no retry attempts are made.
#
#  Notes:
#
#      forwarded-connect-retries is mainly interesting for socks4a
#      connections, where Privoxy can't detect why the connections
#      failed. The connection might have failed because of a DNS timeout
#      in which case a retry makes sense, but it might also have failed
#      because the server doesn't exist or isn't reachable. In this
#      case the retry will just delay the appearance of Privoxy's
#      error message.
#
#      Only use this option, if you are getting many forwarding related
#      error messages, that go away when you try again manually. Start
#      with a small value and check Privoxy's logfile from time to time,
#      to see how many retries are usually needed.
#
#  Examples:
#
#      forwarded-connect-retries 1
#
forwarded-connect-retries  0

#
#  6. WINDOWS GUI OPTIONS
#  ======================
#
#  Privoxy has a number of options specific to the Windows GUI
#  interface:
#

#  If "activity-animation" is set to 1, the Privoxy icon will animate
#  when "Privoxy" is active. To turn off, set to 0.
#
#activity-animation   1

#  If "log-messages" is set to 1, Privoxy will log messages to the
#  console window:
#
log-messages   0

#  If "log-buffer-size" is set to 1, the size of the log buffer,
#  i.e. the amount of memory used for the log messages displayed in
#  the console window, will be limited to "log-max-lines" (see below).
#
#  Warning: Setting this to 0 will result in the buffer to grow
#  infinitely and eat up all your memory!
#
#log-buffer-size 1

#  log-max-lines is the maximum number of lines held in the log
#  buffer. See above.
#
#log-max-lines 200

#  If "log-highlight-messages" is set to 1, Privoxy will highlight
#  portions of the log messages with a bold-faced font:
#
#log-highlight-messages 1

#  The font used in the console window:
#
#log-font-name Comic Sans MS

#  Font size used in the console window:
#
#log-font-size 8

#  "show-on-task-bar" controls whether or not Privoxy will appear as
#  a button on the Task bar when minimized:
#
#show-on-task-bar 0

#  If "close-button-minimizes" is set to 1, the Windows close button
#  will minimize Privoxy instead of closing the program (close with
#  the exit option on the File menu).
#
#close-button-minimizes 1

#  The "hide-console" option is specific to the MS-Win console version
#  of Privoxy.  If this option is used, Privoxy will disconnect from
#  and hide the command console.
#
#hide-console

#
